import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, u = Object.getOwnPropertyDescriptor, c = (p, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? u(t, s) : t, i = p.length - 1, o; i >= 0; i--)
    (o = p[i]) && (e = (r ? o(t, s, e) : o(e)) || e);
  return r && e && m(t, s, e), e;
};
let l = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--cutleryFilled", this.class = "c-pieIcon c-pieIcon--cutleryFilled", this.name = "IconCutleryFilled";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--cutleryFilled"><path d="m4.719 7.134 1.312-.018-.07-5.591-1.303.63.06 4.979Z"></path><path d="m11.133 11.701 2.135.333c-.018 1.216-.123 2.196-.184 2.966h1.321a91.89 91.89 0 0 0 .166-12.031c-.087-.963-.323-1.479-.778-1.672a1.137 1.137 0 0 0-1.357.43 13.869 13.869 0 0 0-2.24 8.75 1.217 1.217 0 0 0 .937 1.224Z"></path><path d="m3.336 1.525-1.312.63v4.821a3.08 3.08 0 0 0 2.695 2.888V15H6.03V9.82a3.045 3.045 0 0 0 2.555-2.844V1.525l-1.312.63v4.821c0 1.164-1.391 1.636-1.969 1.636-.577 0-1.969-.472-1.969-1.636V1.525Z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], l.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = c([
  f("icon-cutlery-filled")
], l);
export {
  l as IconCutleryFilled
};
